export declare enum EmbedColor {
    Green = 65280,
    Red = 16711680,
    Blue = 255,
    Yellow = 16776960,
    Orange = 16753920
}
export declare enum EmbedType {
    Rich = "rich",
    Image = "image",
    Video = "video",
    GIFV = "gifv",
    Article = "article",
    Link = "link"
}
export interface EmbedFooter {
    text: string;
    icon_url?: string;
    proxy_icon_url?: string;
}
export interface EmbedField {
    name: string;
    value: string;
    inline?: boolean;
}
export interface EmbedImage {
    url: string;
    proxy_url?: string;
    height?: number;
    width?: number;
}
export interface EmbedThumbnail {
    url: string;
    proxy_url?: string;
    height?: number;
    width?: number;
}
export interface EmbedVideo {
    url?: string;
    proxy_url?: string;
    height?: number;
    width?: number;
}
export interface EmbedProvider {
    name?: string;
    url?: string;
}
export interface EmbedAuthor {
    name: string;
    url?: string;
    icon_url?: string;
    proxy_icon_url?: string;
}
export interface Embed {
    title?: string;
    type?: EmbedType;
    description?: string;
    url?: string;
    timestamp?: string;
    color?: number;
    footer?: EmbedFooter;
    image?: EmbedImage;
    thumbnail?: EmbedThumbnail;
    video?: EmbedVideo;
    provider?: EmbedProvider;
    author?: EmbedAuthor;
    fields?: EmbedField[];
}
export interface WebhookMessage {
    readonly content?: string;
    readonly username?: string;
    readonly avatar_url?: string;
    readonly tts?: boolean;
    readonly embeds?: Embed[];
}
export declare function sendDiscordWebhookMessage(webhook: string, message: WebhookMessage): Promise<import("node-fetch").Response>;
