import { SQSEvent } from 'aws-lambda';
export interface SqsNotification {
    readonly Type: string;
    readonly MessageId: string;
    readonly TopicArn: string;
    readonly Message: string;
    readonly Timestamp: string;
    readonly SignatureVersion: string;
    readonly Signature: string;
    readonly SigningCertURL: string;
    readonly UnsubscribeURL: string;
}
export interface TrueNASAlertMessage {
    readonly system: string;
    readonly user: string;
    readonly newAlert?: string;
    readonly currentAlerts?: string[];
}
export declare function parseAlertMessage(text: string): TrueNASAlertMessage;
export declare const lambdaHandler: (event: SQSEvent) => Promise<void>;
